<template>
  <protected-view>
    <div
      class="bg-background4 pl-3 pr-3 overflow-auto"
      :class="{ 'h-[calc(100vh-36px)]': betList.length > 0 }"
    >
      <lobby-no-game-message>{{ $t("no_bets_found") }}</lobby-no-game-message>
      <bet-list-card
        v-for="item in betList"
        :key="item.RefNo"
        :bet-list="item"
      />
    </div>
  </protected-view>
</template>
<script lang="ts">
import { computed, defineComponent } from "vue";
import { ResponseSportBets } from "@/models/theme/lite/PureLite";

export default defineComponent({
  setup() {
    const { betLists, request } = useBetList();
    const betList = computed(() => {
      if (betLists.value) {
        return betLists.value.map((bet) => new ResponseSportBets(bet));
      }
      return [];
    });
    return {
      betList,
      request,
    };
  },
});
</script>
